> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a requirement types

> Retrieve a requirement type by id



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/regulatory.yml get /requirement_types/{id}
openapi: 3.1.0
info:
  title: Telnyx Regulatory Requirements API
  version: 2.0.0
  description: API for Regulatory requirements.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /requirement_types/{id}:
    get:
      tags:
        - Requirement Types
      summary: Retrieve a requirement types
      description: Retrieve a requirement type by id
      operationId: RetrieveRequirementType
      parameters:
        - $ref: '#/components/parameters/DocReqsRequirementTypeId'
      responses:
        '200':
          $ref: '#/components/responses/DocReqsRequirementTypeResponse'
        '422':
          description: >-
            Unprocessable entity. Check the 'detail' field in response for
            details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/documents_Errors'
        default:
          $ref: '#/components/responses/documents_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const requirementType = await client.requirementTypes.retrieve(
              'a38c217a-8019-48f8-bff6-0fdd9939075b',
            );

            console.log(requirementType.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            requirement_type = client.requirement_types.retrieve(
                "a38c217a-8019-48f8-bff6-0fdd9939075b",
            )
            print(requirement_type.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\trequirementType, err := client.RequirementTypes.Get(context.TODO(), \"a38c217a-8019-48f8-bff6-0fdd9939075b\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", requirementType.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.requirementtypes.RequirementTypeRetrieveParams;

            import
            com.telnyx.sdk.models.requirementtypes.RequirementTypeRetrieveResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    RequirementTypeRetrieveResponse requirementType = client.requirementTypes().retrieve("a38c217a-8019-48f8-bff6-0fdd9939075b");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            requirement_type =
            telnyx.requirement_types.retrieve("a38c217a-8019-48f8-bff6-0fdd9939075b")


            puts(requirement_type)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $requirementType = $client->requirementTypes->retrieve(
                'a38c217a-8019-48f8-bff6-0fdd9939075b'
              );

              var_dump($requirementType);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx requirement-types retrieve \
              --api-key 'My API Key' \
              --id a38c217a-8019-48f8-bff6-0fdd9939075b
components:
  parameters:
    DocReqsRequirementTypeId:
      name: id
      in: path
      description: Uniquely identifies the requirement_type record
      example: a38c217a-8019-48f8-bff6-0fdd9939075b
      required: true
      schema:
        type: string
        format: uuid
  responses:
    DocReqsRequirementTypeResponse:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                $ref: '#/components/schemas/DocReqsRequirementType'
    documents_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/documents_Errors'
  schemas:
    documents_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/documents_Error'
      type: object
    DocReqsRequirementType:
      type: object
      properties:
        acceptance_criteria:
          description: Specifies objective criteria for acceptance
          type: object
          properties:
            time_limit:
              description: Specifies time-based acceptance criteria
              example: Current and not expired
              type: string
              readOnly: false
            locality_limit:
              description: Specifies geography-based acceptance criteria
              example: Issued by the same country that the phone number belongs to
              type: string
              readOnly: false
            acceptable_values:
              description: >-
                Specifies the list of strictly possible values for the
                requirement. Ignored when empty
              type: array
              items:
                type: string
                example: US
              readOnly: false
            max_length:
              description: Maximum length allowed for the value
              type: integer
              example: 20
              readOnly: false
            min_length:
              description: Minimum length allowed for the value
              type: integer
              example: 16
              readOnly: false
            acceptable_characters:
              description: Specifies the allowed characters as a string
              type: string
              example: abcdef0123456789
              readOnly: false
        description:
          description: Describes the requirement type
          example: >-
            Proves the customer has a physical address in the same locality as
            the phone number
          type: string
          readOnly: false
        example:
          description: Provides one or more examples of acceptable documents
          example: Utility bill, internet bill, phone bill, or lease
          type: string
          readOnly: false
        type:
          description: Defines the type of this requirement type
          example: document
          type: string
          enum:
            - document
            - address
            - textual
          readOnly: false
        name:
          description: A short descriptive name for this requirement_type
          example: Proof of Address
          type: string
          readOnly: true
        record_type:
          description: Identifies the type of the resource
          example: requirement_type
          type: string
          readOnly: true
        id:
          description: Identifies the associated document
          type: string
          format: uuid
          readOnly: true
          example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
        created_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was
            created.
          readOnly: true
          example: '2021-04-09T22:25:27.521Z'
        updated_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was last
            updated.
          readOnly: true
          example: '2021-04-12T20:20:20.020Z'
    documents_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````